<template>
	<div class="subscription-box-container">
		<h1>Abonniere unseren newsletter!</h1>
		<input type="text" v-model="email">
		<button @click="subscribe">Abonnieren</button>
	</div>
</template>

<script>
export default {
	name: "subscriptionBox",
	data(){
		return {
			email: ''
		}
	},
	methods: {
		subscribe(){
			this.validateEmail();
			//subscription logic
		},
		validateEmail(){
			//validation logic
		}
	}
}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00a290;

.subscription-box-container{
	background-image: url('~@/assets/images/MapGreen.png');
	padding: 40px 0;
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
	height: 243px;
	box-sizing: border-box;
	background-size: cover;
	margin-top: 80px;

	@media (max-width: 470px) {
		align-items: flex-start !important;
		text-align: left;
		height: auto !important;
		padding: 70px 25px;
	}

	h1{
		font-family: "Bebas Neue";
		font-size: 36px;
		color: #fff;
		letter-spacing: 2px;
		margin: 0;
	}

	input{
		max-width: 392px;
		width: 100%;
		background: transparent;
		border: none;
		border-bottom: 2px solid rgba(255,255,255,0.33);
		padding: 15px 0;
		outline: none;
		caret-color: #fff;
		font-size: 16px;
		font-family: roboto;
		color: #fff;
		font-weight: 500;
		line-height: 21px;
		text-align: center;
		margin-bottom: 23px;
	}

	button{
		border: 2px solid #fff;
		height: 42px;
		background: transparent;
		text-transform: uppercase;
		font-family: "Brandon Grotesque";
		font-size: 14px;
		color: #fff;
		font-weight: bold;
		text-align: center;
		border-radius: 20px;
		width: 152px;
		padding: 0 25px;
		transition: all .2s;
		cursor: pointer;
		&:hover{
			background: #fff;
			color: $primary;
		}
	}
}

</style>

